package com.lightinit.hsdataplatformresdir.entity;

import java.util.Date;

public class RunningMonitoring {
    private Long id;

    private String monitoringType;

    private String monitoringTimeStrFrom;

    private String monitoringTimeStrTo;

    private Integer monitoringCycle;

    private String alertMethod;

    private String alertTimeStrFrom;

    private String alertTimeStrTo;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMonitoringType() {
        return monitoringType;
    }

    public void setMonitoringType(String monitoringType) {
        this.monitoringType = monitoringType == null ? null : monitoringType.trim();
    }

    public String getMonitoringTimeStrFrom() {
        return monitoringTimeStrFrom;
    }

    public void setMonitoringTimeStrFrom(String monitoringTimeStrFrom) {
        this.monitoringTimeStrFrom = monitoringTimeStrFrom == null ? null : monitoringTimeStrFrom.trim();
    }

    public String getMonitoringTimeStrTo() {
        return monitoringTimeStrTo;
    }

    public void setMonitoringTimeStrTo(String monitoringTimeStrTo) {
        this.monitoringTimeStrTo = monitoringTimeStrTo == null ? null : monitoringTimeStrTo.trim();
    }

    public Integer getMonitoringCycle() {
        return monitoringCycle;
    }

    public void setMonitoringCycle(Integer monitoringCycle) {
        this.monitoringCycle = monitoringCycle;
    }

    public String getAlertMethod() {
        return alertMethod;
    }

    public void setAlertMethod(String alertMethod) {
        this.alertMethod = alertMethod == null ? null : alertMethod.trim();
    }

    public String getAlertTimeStrFrom() {
        return alertTimeStrFrom;
    }

    public void setAlertTimeStrFrom(String alertTimeStrFrom) {
        this.alertTimeStrFrom = alertTimeStrFrom == null ? null : alertTimeStrFrom.trim();
    }

    public String getAlertTimeStrTo() {
        return alertTimeStrTo;
    }

    public void setAlertTimeStrTo(String alertTimeStrTo) {
        this.alertTimeStrTo = alertTimeStrTo == null ? null : alertTimeStrTo.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}